Gets the depth for a particular image channel

- « Imagick::getImageBorderColor

- Imagick::getImageChannelDistortion »

- PHP Manual
- Imagick
- Gets the depth for a particular image channel

# Imagick::getImageChannelDepth

(PECL imagick 2, PECL imagick 3)

Imagick::getImageChannelDepth — Gets the depth for a particular image channel

### Description

public Imagick::getImageChannelDepth(int `$channel`): int

Gets the depth for a particular image channel.

### Parameters

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

Returns `true` on success.